# Class PromoterSequences

java.lang.Object
org.snpeff.PromoterSequences

public class PromoterSequences extends Object
Get promoter sequences from genes

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`HOME`
`static int`
`LEN_AFTER_TSS`
`static int`
`LEN_UPSTREAM`

## Constructor Summary

Constructors
Constructor
Description
`PromoterSequences(String genomeName, String fastaFile, List<String> geneIds)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`void`
`run()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HOME

public static String HOME

### LEN_UPSTREAM

public static int LEN_UPSTREAM

### LEN_AFTER_TSS

public static int LEN_AFTER_TSS

## Constructor Details

### PromoterSequences

public PromoterSequences(String genomeName, String fastaFile, List<String> geneIds)

## Method Details

### main

public static void main(String[] args)

### run

public void run()